Devuan bug report logs - #351
kopano-search: service kopano-search start: Unable to change working directory ([Errno 2] No such file or directory: '/var/lib/kopano/empty'

Package: kopano-search; Severity: grave; Reported by: alex1452 <alex1452@gmx.net>; Keywords: debian; dated Thu, 12 Sep 2019 16:03:02 UTC; Maintainer for kopano-search is (unknown).
Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 351-submit@bugs.devuan.org. Full text available.

Message received at 351@bugs.devuan.org:


Received: (at 351) by bugs.devuan.org; 14 Jan 2020 17:40:05 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Tue, 14 Jan 2020 17:40:05 +0000 (UTC)
Received: from mx.hindley.org.uk (mohindley.plus.com [81.174.245.179])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 5E52EF60B22
	for <351@bugs.devuan.org>; Tue, 14 Jan 2020 18:32:31 +0100 (CET)
Received: from apollo.hindleynet ([192.168.1.3] helo=apollo)
	by mx.hindley.org.uk with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
	(Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1irQ3K-0008RD-DB
	for 351@bugs.devuan.org; Tue, 14 Jan 2020 17:32:30 +0000
Received: from mark by apollo with local (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1irQ3J-0003zY-32
	for 351@bugs.devuan.org; Tue, 14 Jan 2020 17:32:29 +0000
Date: Tue, 14 Jan 2020 17:32:29 +0000
From: Mark Hindley <mark@hindley.org.uk>
To: 351@bugs.devuan.org
Subject: Re: kopano-search: service kopano-search start: Unable to change
 working directory ([Errno 2] No such file or directory:
 '/var/lib/kopano/empty'
Message-ID: <20200114173228.GA15327@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Debbugs-No-Ack: No Thanks
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=0.0 required=5.0 tests=FAKE_REPLY_C,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Control: tag -1 debian

Alex,

Thanks for this and sorry for the slow reply.

This package is directly from Debian, so their bug tracker 
would be a better place to report the issue.

Thanks

Mark

Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#351; Package kopano-search. Full text available.

Message received at submit@bugs.devuan.org:


Received: (at submit) by bugs.devuan.org; 12 Sep 2019 16:00:02 +0000
Return-Path: <alex1452@gmx.net>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Thu, 12 Sep 2019 18:00:02 +0200 (CEST)
Received: from ebifccidicca.ams03.turbo-smtp.net (ebifccidicca.ams03.turbo-smtp.net [185.228.38.220])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 852C8F60934
	for <submit@bugs.devuan.org>; Thu, 12 Sep 2019 17:57:02 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=fail reason="key not found in DNS" (0-bit key; secure) header.d=gmx.net header.i=@gmx.net header.b="Rv49wL3q";
	dkim-atps=neutral
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmx.net;
	s=turbo-smtp; x=1568908622; h=DomainKey-Signature:Received:
	Received:Content-Type:MIME-Version:Content-Transfer-Encoding:
	From:To:Subject:Message-ID:Date; bh=5jUMyB81Up8AW3YeMn4s0eZanioJ
	Zgz5V28p0YviSyA=; b=Rv49wL3qStGkhtjdM5Hxoj1p5e7pJcJNySFiZrARJHRk
	irpUEZpojNMn4bKYc4birQE4xAfyARuG5HGQzdOX7LADcZkdWvnZHXnSE88XgXoE
	dYH4ZNcwNSwKG8YlLpCg5IVMN7oBnmAg+ikSKTTV0/LvNKygxrr0iyhITHnpzY0=
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws;
	s=turbo-smtp; d=gmx.net;
	h=Received:Received:X-TurboSMTP-Tracking:Content-Type:MIME-Version:Content-Transfer-Encoding:From:To:Subject:Message-ID:X-Mailer:Date;
	b=nmEG0243uU2FvvYwIbY0UgsAc3+W+t4ghtN3jnHXA4oXIq/hGKoBzwcGlmGSwn
	npzYwJ9sFnuXr+Xrb8MqvMy2hElE32+3e42yszoSRGHoyTE/FXrATxPaKPl6yIWw
	MQDlqhAkcLdTIv1wg4hQnceANi+I/zhMAqGf3Ld3NiLdY=;
Received: (qmail 26923 invoked from network); 12 Sep 2019 15:57:01 -0000
Received: 
X-TurboSMTP-Tracking: 5277994219
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: alex1452 <alex1452@gmx.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: kopano-search: service kopano-search start: Unable to change working directory ([Errno 2] No such file or directory: '/var/lib/kopano/empty'
Message-ID: <156830381850.8693.16282601780866109076.reportbug@kopano87.lan>
X-Mailer: reportbug 7.5.1+devuan1
Date: Thu, 12 Sep 2019 23:56:58 +0800
X-Spam-Status: No, score=1.3 required=5.0 tests=DKIM_SIGNED,
	FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,SPF_FAIL,
	T_DKIM_INVALID autolearn=disabled version=3.4.2
X-Spam-Level: *
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Package: kopano-search
Version: 8.7.0-3
Severity: grave

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***


-- System Information:
Architecture: x86_64

Kernel: Linux 4.19.62 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages kopano-search depends on:
ii  catdoc               1:0.95-4.1
ii  file                 1:5.35-4
ii  gawk                 1:4.2.1+dfsg-1
ii  init-system-helpers  1.56+devuan1
ii  kopano-common        8.7.0-3
ii  lsb-base             10.2019051400
ii  poppler-utils        0.71.0-5
ii  python3              3.7.3-1
ii  python3-bsddb3       6.2.6-3
ii  python3-dateutil     2.7.3-3
ii  python3-kopano       8.7.0-3
ii  python3-magic        2:0.4.15-2
ii  python3-xapian       1.4.11-2
ii  unzip                6.0-23+deb10u1
ii  w3m                  0.5.3-37
ii  xsltproc             1.1.32-2.1~deb10u1

kopano-search recommends no packages.

kopano-search suggests no packages.

-- Configuration Files:
/etc/init.d/kopano-search changed:
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
SEARCH=/usr/sbin/kopano-search
DESC="Kopano search"
NAME=`basename $SEARCH`
PIDFILE=/var/run/$NAME.pid
test -x $SEARCH || exit 0
if [ -f /etc/default/kopano ] ; then
    . /etc/default/kopano
fi
if [ -z "$KOPANO_LOCALE" ]; then
    KOPANO_LOCALE="C"
fi
if [ -e "$SEARCH_CONFIG" ]; then
    SEARCH_OPTS="$SEARCH_OPTS -c $SEARCH_CONFIG"
fi
. /lib/lsb/init-functions
case "$1" in
    start)
        if [ "$SEARCH_ENABLED" = "no" ]; then
            log_warning_msg "Kopano Search daemon not enabled in /etc/default/kopano ... not starting"
            exit 0
        fi
        log_begin_msg "Starting $DESC: $NAME"
        export LC_ALL=$KOPANO_LOCALE
        export LANG=$KOPANO_LOCALE
        start-stop-daemon --start $QUIETDAEMON --pidfile $PIDFILE --exec /usr/bin/python3 $SEARCH -- $SEARCH_OPTS
        log_end_msg $?
        unset LC_ALL LANG
    ;;
    stop)
        log_begin_msg "Stopping $DESC: $NAME"
        start-stop-daemon --stop $QUIETDAEMON --pidfile $PIDFILE --retry TERM/15/KILL --exec /usr/bin/python3 $SEARCH
        RETVAL=$?
        rm -f $PIDFILE
        log_end_msg $RETVAL
    ;;
    restart)
        $0 stop
        $0 start
    ;;
    status)
        status_of_proc "$SEARCH" "$NAME" && exit 0 || exit $?
    ;;
   
    reload|force-reload)
        log_begin_msg "Reloading $DESC: $NAME"
        start-stop-daemon --stop $QUIETDAEMON --signal HUP --pidfile $PIDFILE --exec /usr/bin/python3 $SEARCH
        log_end_msg $?
    ;;
    *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|restart|reload|force-reload|status}" >&2
        exit 1
    ;;
esac
exit 0


-- no debconf information

Error message:
service kopano-search start
[....] Starting Kopano search: kopano-search2019-09-12 23:36:54,523 - search - ERROR - Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 579, in change_working_directory
    os.chdir(directory)
FileNotFoundError: [Errno 2] No such file or directory: '/var/lib/kopano/empty'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/kopano/log.py", line 103, in log_exc
    try: yield
  File "/usr/lib/python3/dist-packages/kopano/service.py", line 180, in start
    _daemonize(self.main, options=self.options, log=self.log, config=self.config, service=self)
  File "/usr/lib/python3/dist-packages/kopano/service.py", line 111, in _daemonize
    stderr=sys.stderr,
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 390, in __enter__
    self.open()
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 365, in open
    change_working_directory(self.working_directory)
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 583, in change_working_directory
    raise error
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 579, in change_working_directory
    os.chdir(directory)
daemon.daemon.DaemonOSEnvironmentError: Unable to change working directory ([Errno 2] No such file or directory: '/var/lib/kopano/empty')

. ok



Acknowledgement sent to alex1452 <alex1452@gmx.net>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.
Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#351; Package kopano-search. Full text available.

Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue, 2 Jun 2020 04:39:02 UTC